[arch-commits] Commit in kde-agent/repos/extra-any (10 files)

Andrea Scarpino andrea at archlinux.org
Mon Apr 30 11:07:47 EDT 2012


    Date: Monday, April 30, 2012 @ 11:07:47
  Author: andrea
Revision: 157983

archrelease: copy trunk to extra-any

Added:
  kde-agent/repos/extra-any/PKGBUILD
    (from rev 157982, kde-agent/trunk/PKGBUILD)
  kde-agent/repos/extra-any/gpg-agent-shutdown.sh
    (from rev 157982, kde-agent/trunk/gpg-agent-shutdown.sh)
  kde-agent/repos/extra-any/gpg-agent-startup.sh
    (from rev 157982, kde-agent/trunk/gpg-agent-startup.sh)
  kde-agent/repos/extra-any/ssh-agent-shutdown.sh
    (from rev 157982, kde-agent/trunk/ssh-agent-shutdown.sh)
  kde-agent/repos/extra-any/ssh-agent-startup.sh
    (from rev 157982, kde-agent/trunk/ssh-agent-startup.sh)
Deleted:
  kde-agent/repos/extra-any/PKGBUILD
  kde-agent/repos/extra-any/gpg-agent-shutdown.sh
  kde-agent/repos/extra-any/gpg-agent-startup.sh
  kde-agent/repos/extra-any/ssh-agent-shutdown.sh
  kde-agent/repos/extra-any/ssh-agent-startup.sh

-----------------------+
 PKGBUILD              |   54 ++++++++++++++++++++---------------------
 gpg-agent-shutdown.sh |   28 ++++++++++-----------
 gpg-agent-startup.sh  |   62 ++++++++++++++++++++++++------------------------
 ssh-agent-shutdown.sh |   12 ++++-----
 ssh-agent-startup.sh  |   22 ++++++++---------
 5 files changed, 89 insertions(+), 89 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2012-04-30 15:07:24 UTC (rev 157982)
+++ PKGBUILD	2012-04-30 15:07:47 UTC (rev 157983)
@@ -1,27 +0,0 @@
-# $Id$
-# Maintainer: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=kde-agent
-pkgver=20110922
-pkgrel=1
-pkgdesc="Startup and shutdown scripts for gpg-agent and ssh-agent in KDE"
-arch=('any')
-url='http://www.kde.org'
-license=('GPL' 'LGPL' 'FDL')
-depends=('pinentry' 'openssh' 'qt')
-source=('gpg-agent-startup.sh' 'gpg-agent-shutdown.sh'
-        'ssh-agent-startup.sh' 'ssh-agent-shutdown.sh')
-md5sums=('1c8096c611904bdd4222c01b3b33d925'
-         '6838aa08aaf27962e3f833d25daa086a'
-         '8b8c4f60aa66660670db20dd1beccf88'
-         'a5d2f2191f31c4f869c98067010395d4')
-
-package() {
-  cd "${srcdir}"
-  install -d "${pkgdir}"/etc/kde/env
-  install -D -m755 {gpg,ssh}-agent-startup.sh "${pkgdir}"/etc/kde/env/
-
-  install -d "${pkgdir}"/etc/kde/shutdown
-  install -D -m755 {gpg,ssh}-agent-shutdown.sh "${pkgdir}"/etc/kde/shutdown/
-}

Copied: kde-agent/repos/extra-any/PKGBUILD (from rev 157982, kde-agent/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2012-04-30 15:07:47 UTC (rev 157983)
@@ -0,0 +1,27 @@
+# $Id$
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=kde-agent
+pkgver=20120430
+pkgrel=1
+pkgdesc="Startup and shutdown scripts for gpg-agent and ssh-agent in KDE"
+arch=('any')
+url='http://www.archlinux.org/'
+license=('GPL' 'LGPL' 'FDL')
+depends=('pinentry' 'openssh' 'qt')
+source=('gpg-agent-startup.sh' 'gpg-agent-shutdown.sh'
+        'ssh-agent-startup.sh' 'ssh-agent-shutdown.sh')
+md5sums=('baf5135003f0a406dac85c2719fbed49'
+         '6838aa08aaf27962e3f833d25daa086a'
+         '8b8c4f60aa66660670db20dd1beccf88'
+         'a5d2f2191f31c4f869c98067010395d4')
+
+package() {
+  cd "${srcdir}"
+  install -d "${pkgdir}"/etc/kde/env
+  install -D -m755 {gpg,ssh}-agent-startup.sh "${pkgdir}"/etc/kde/env/
+
+  install -d "${pkgdir}"/etc/kde/shutdown
+  install -D -m755 {gpg,ssh}-agent-shutdown.sh "${pkgdir}"/etc/kde/shutdown/
+}

Deleted: gpg-agent-shutdown.sh
===================================================================
--- gpg-agent-shutdown.sh	2012-04-30 15:07:24 UTC (rev 157982)
+++ gpg-agent-shutdown.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-## The nice way
-if test -n "${GPG_AGENT_INFO}"; then
-  GPG_AGENT_PID=`echo ${GPG_AGENT_INFO} | cut -d: -f2` && kill ${GPG_AGENT_PID} ||:
-  unset GPG_AGENT_INFO
-fi
-
-## The not so nice way
-## NOTE: a root login will kill *all* users' gpg-agents
-#killall gpg-agent
-
-## clean/remove .gpg-agent-info
-rm -f $HOME/.gpg-agent-info

Copied: kde-agent/repos/extra-any/gpg-agent-shutdown.sh (from rev 157982, kde-agent/trunk/gpg-agent-shutdown.sh)
===================================================================
--- gpg-agent-shutdown.sh	                        (rev 0)
+++ gpg-agent-shutdown.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+## The nice way
+if test -n "${GPG_AGENT_INFO}"; then
+  GPG_AGENT_PID=`echo ${GPG_AGENT_INFO} | cut -d: -f2` && kill ${GPG_AGENT_PID} ||:
+  unset GPG_AGENT_INFO
+fi
+
+## The not so nice way
+## NOTE: a root login will kill *all* users' gpg-agents
+#killall gpg-agent
+
+## clean/remove .gpg-agent-info
+rm -f $HOME/.gpg-agent-info

Deleted: gpg-agent-startup.sh
===================================================================
--- gpg-agent-startup.sh	2012-04-30 15:07:24 UTC (rev 157982)
+++ gpg-agent-startup.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -1,31 +0,0 @@
-#!/bin/sh
-
-GPG_AGENT=/usr/bin/gpg-agent
-## Run gpg-agent only if not already running, and available
-if [ -x "${GPG_AGENT}" ] ; then
-
-  # check validity of GPG_SOCKET (in case of session crash)
-  GPG_AGENT_INFO_FILE=${HOME}/.gpg-agent-info
-  if [ -f "${GPG_AGENT_INFO_FILE}" ]; then
-    GPG_AGENT_PID=`cat ${GPG_AGENT_INFO_FILE} | cut -f2 -d:`
-    GPG_PID_NAME=`cat /proc/${GPG_AGENT_PID}/comm`
-    if [ ! "x${GPG_PID_NAME}" = "xgpg-agent" ]; then
-      rm -f "${GPG_AGENT_INFO_FILE}" 2>&1 >/dev/null
-    else
-       GPG_SOCKET=`cat "${GPG_AGENT_INFO_FILE}" | cut -f1 -d: | cut -f2 -d=`
-       if ! test -S "${GPG_SOCKET}" -a -O "${GPG_SOCKET}" ; then
-         rm -f "${GPG_AGENT_INFO_FILE}" 2>&1 >/dev/null
-       fi
-    fi
-    unset GPG_AGENT_PID GPG_SOCKET GPG_PID_NAME
-  fi
-
-  if [ -f "${GPG_AGENT_INFO_FILE}" ]; then
-    eval "$(cat "${GPG_AGENT_INFO_FILE}")"
-    eval "$(cut -d= -f 1 "${GPG_AGENT_INFO_FILE}" | xargs echo export)"
-    export GPG_TTY=$(tty)
-  else
-    eval "$(${GPG_AGENT} -s --daemon --pinentry-program /usr/bin/pinentry-qt4 --write-env-file)"
-  fi
-
-fi

Copied: kde-agent/repos/extra-any/gpg-agent-startup.sh (from rev 157982, kde-agent/trunk/gpg-agent-startup.sh)
===================================================================
--- gpg-agent-startup.sh	                        (rev 0)
+++ gpg-agent-startup.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+GPG_AGENT=/usr/bin/gpg-agent
+## Run gpg-agent only if not already running, and available
+if [ -x "${GPG_AGENT}" ] ; then
+
+  # check validity of GPG_SOCKET (in case of session crash)
+  GPG_AGENT_INFO_FILE=${HOME}/.gpg-agent-info
+  if [ -f "${GPG_AGENT_INFO_FILE}" ]; then
+    GPG_AGENT_PID=`cat ${GPG_AGENT_INFO_FILE} | grep GPG_AGENT_INFO | cut -f2 -d:`
+    GPG_PID_NAME=`cat /proc/${GPG_AGENT_PID}/comm`
+    if [ ! "x${GPG_PID_NAME}" = "xgpg-agent" ]; then
+      rm -f "${GPG_AGENT_INFO_FILE}" 2>&1 >/dev/null
+    else
+       GPG_SOCKET=`cat "${GPG_AGENT_INFO_FILE}" | grep GPG_AGENT_INFO | cut -f1 -d: | cut -f2 -d=`
+       if ! test -S "${GPG_SOCKET}" -a -O "${GPG_SOCKET}" ; then
+         rm -f "${GPG_AGENT_INFO_FILE}" 2>&1 >/dev/null
+       fi
+    fi
+    unset GPG_AGENT_PID GPG_SOCKET GPG_PID_NAME
+  fi
+
+  if [ -f "${GPG_AGENT_INFO_FILE}" ]; then
+    eval "$(cat "${GPG_AGENT_INFO_FILE}")"
+    eval "$(cut -d= -f 1 "${GPG_AGENT_INFO_FILE}" | xargs echo export)"
+    export GPG_TTY=$(tty)
+  else
+    eval "$(${GPG_AGENT} -s --daemon --pinentry-program /usr/bin/pinentry-qt4 --write-env-file)"
+  fi
+
+fi

Deleted: ssh-agent-shutdown.sh
===================================================================
--- ssh-agent-shutdown.sh	2012-04-30 15:07:24 UTC (rev 157982)
+++ ssh-agent-shutdown.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -1,6 +0,0 @@
-#!/bin/sh
-
-if [ -n "${SSH_AGENT_PID}" ]; then
-  kill ${SSH_AGENT_PID}
-  unset SSH_AGENT_PID SSH_AUTH_SOCK
-fi

Copied: kde-agent/repos/extra-any/ssh-agent-shutdown.sh (from rev 157982, kde-agent/trunk/ssh-agent-shutdown.sh)
===================================================================
--- ssh-agent-shutdown.sh	                        (rev 0)
+++ ssh-agent-shutdown.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if [ -n "${SSH_AGENT_PID}" ]; then
+  kill ${SSH_AGENT_PID}
+  unset SSH_AGENT_PID SSH_AUTH_SOCK
+fi

Deleted: ssh-agent-startup.sh
===================================================================
--- ssh-agent-startup.sh	2012-04-30 15:07:24 UTC (rev 157982)
+++ ssh-agent-startup.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-SSH_AGENT=/usr/bin/ssh-agent
-## Run ssh-agent only if not already running, and available
-if [ -x "${SSH_AGENT}" ] ; then
-
-  if [ -z "${SSH_AGENT_PID}" ]; then
-    eval "$(${SSH_AGENT} -s)"
-  fi
-
-fi

Copied: kde-agent/repos/extra-any/ssh-agent-startup.sh (from rev 157982, kde-agent/trunk/ssh-agent-startup.sh)
===================================================================
--- ssh-agent-startup.sh	                        (rev 0)
+++ ssh-agent-startup.sh	2012-04-30 15:07:47 UTC (rev 157983)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+SSH_AGENT=/usr/bin/ssh-agent
+## Run ssh-agent only if not already running, and available
+if [ -x "${SSH_AGENT}" ] ; then
+
+  if [ -z "${SSH_AGENT_PID}" ]; then
+    eval "$(${SSH_AGENT} -s)"
+  fi
+
+fi



More information about the arch-commits mailing list